#
#  CNAbout.rb
#  CocoaNav
#
#  Created by Patrick Geiller on 16/05/08.
#  Copyright (c) 2008 __MyCompanyName__. All rights reserved.
#


#
# About Window : WebView setup as Core Animation, with a QTZ backing layer
#
class CNAboutWindow < NSWindow

	def awakeFromNib
	
		qtzPath = NSBundle.mainBundle.pathForResource_ofType('about', 'qtz')
		@sunLayer = QCCompositionLayer.compositionLayerWithFile(qtzPath)
		@sunLayer.bounds = CGRectMake(0, 0, frame.width, frame.height)
		@sunLayer.anchorPoint = CGPointMake(0, 0)

		@webView1 = contentView.subviews[0]
		@webView1.setWantsLayer true
		@webView1.setLayer @sunLayer
		path = NSBundle.mainBundle.pathForResource_ofType('about', 'html')
		@webView1.mainFrame.loadRequest(NSURLRequest.requestWithURL(NSURL.fileURLWithPath(path)))

		@webView1.setPolicyDelegate(self)
	end

	# Open links in default browser
	def webView_decidePolicyForNavigationAction_request_frame_decisionListener(sender, actionInformation, request, frame, listener)
		NSWorkspace.sharedWorkspace.openURL(request.URL)
	end

end

#
# Subclassing avoids WebView's white flicker that happens with setDrawsBackground(false)
#
class TransparentWebView < WebView
	def drawsBackground
		false
	end
end
